# pass-exporter
This repository contains some scripts that aims to convert a gpg password wallet handled by pass, the standard unix password manager.


## Usage
### convert_to_csv.sh
Simply execute the script. You need `pass` executable installed and ENV var PASSWORD_STORE_DIR set-up. A CSV file will be created in this folder containing key-password fields separated by semicolon and delimited by `"`.

```bash
# Clone this repository
$ git clone https://gitlab.com/unitoo/pass-exporter.git

# Go into the folder
$ cd pass-exporter

# Make script executable
$ chmod +x SCRIPT.sh

# Execute the script
$ ./SCRIPT.sh
```


## Todo

* Create a script to convert into KeePassX format
* Use pass executable only one time and use content
* Write file only at the end of the script


## Credits

* [pass](https://www.passwordstore.org/)


## Support

<a href="https://liberapay.com/Unitoo/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a>


## License

GPLv3

---

> [unitoo.it](https://www.unitoo.it) &nbsp;&middot;&nbsp;
> Mastodon [@unitoo](https://mastodon.uno/@unitoo) &nbsp;&middot;&nbsp;
> GitHub [@UnitooTeam](https://github.com/UnitooTeam)
